# -*- mode: rpm-spec; indent-tabs-mode: nil -*-
#========================================================================
%define    basename_   ldas-tools-frameAPI
%define    name        %{basename_}-swig
%define    name_desc   frame utility
%define    hdr_dir     frameAPI
%define    tarbasename ldas-tools-frameAPI-swig
%define    version     2.6.0
%define    release     1
%define    _docdir     %{_datadir}/doc/%{name}-%{version}
%define    python_build_opts  -DENABLE_SWIG_PYTHON2=yes -DPYTHON2_EXECUTABLE=%{__python2}
%define    python3_build_opts -DENABLE_SWIG_PYTHON3=yes -DPYTHON3_EXECUTABLE=%{__python3}
%if %{?cmake3:1}%{!?cmake3:0}
%define __cmake %__cmake3
%define cmake %cmake3
%define ctest ctest3
%else
%define ctest ctest
%endif

Name:      %{name}
Summary:   SWIG bindings for LDAS Tools frame utility library
Version:   %{version}
Release:   %{release}%{?dist}
License:   GPLv2+
URL:       http://www.ligo.caltech.edu
Group:     Application/Scientific
Provides:  %{name} = %{version}
Obsoletes: %{name} < %{version}
Prefix:    %_prefix
BuildRoot: %{buildroot}
Source0:   http://software.ligo.org/lscsoft/source/%{tarbasename}-%{version}.tar.gz
#------------------------------------------------------------------------
%if 0%{?rhl} <= 7 || 0%{?sl7} <= 7
BuildRequires: cmake3 >= 3.6
BuildRequires: cmake
%else
BuildRequires: cmake >= 3.6
%endif
BuildRequires: python34
BuildRequires: python3-rpm-macros
BuildRequires: gawk
BuildRequires: gcc, gcc-c++, glibc
BuildRequires: make
Buildrequires: ldas-tools-cmake
Buildrequires: %{basename_}-devel
Buildrequires: pkgconfig
BuildRequires: rpm-build
Buildrequires: swig
#........................................................................
# Python dependencies
#........................................................................
BuildRequires: python
BuildRequires: python-devel
#........................................................................
# Python 3 dependencies
#........................................................................
BuildRequires: python%{python3_version_nodots}
BuildRequires: python%{python3_version_nodots}-devel
#........................................................................
# Runtime dependencies
#........................................................................
Requires: swig
Requires: %{basename_}-devel

%description


%package -n python-%{basename_}
Summary: LDAS Tools %{name_desc} toolkit python %{python_version} bindings
#........................................................................
# Runtime dependencies
#........................................................................
Requires: swig
Requires: %{basename_}-devel

%description -n  python-%{basename_}
This provides the python%{python_version} bindings for the %{name_desc} library

%package -n python%{python3_version_nodots}-%{basename_}
Summary: LDAS Tools %{name_desc} toolkit python %{python3_version} bindings
#........................................................................
# Runtime dependencies
#........................................................................
Requires: swig
Requires: %{basename_}-devel

%description -n  python%{python3_version_nodots}-%{basename_}
This provides the python%{python3_version} bindings for the %{name_desc} library

#========================================================================

%prep
%setup -c -T -D -a 0 -n %{name}-%{version}

%build
%cmake \
    %{python_build_opts} \
    %{python3_build_opts} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_EXPORT_COMPILE_COMMANDS=1 \
    -DCMAKE_INSTALL_DOCDIR=%{_docdir} \
    %{tarbasename}-%{version}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_docdir}/README

%check
%ctest -V %{?_smp_mflags}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_includedir}/%{hdr_dir}/*.i

%files -n python-%{basename_}
%defattr(-,root,root,-)
%{_libdir}/python2*

%files -n python%{python3_version_nodots}-%{basename_}
%defattr(-,root,root,-)
%{_libdir}/python3*

%changelog
* Tue Oct 11 2011 Edward Maros <emaros@ligo.caltech.edu> - 1.19.13-1
- Initial build.
